<?php
/**
 * Class MassDeleteAccountForm
 * User: ThurData
 * Date: 2019-10-11
 * Time: 11:29
 * @package ThurData\Servers\KerioEmail\App\UI\Client\EmailAccount\Forms
 */

namespace ThurData\Servers\KerioEmail\App\UI\Client\EmailAccount\Forms;

use ThurData\Servers\KerioEmail\App\UI\Client\EmailAccount\Providers\DeleteAccountDataProvider;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\BaseForm;

class MassDeleteAccountForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteAccountForm';
    protected $name  = 'massDeleteAccountForm';
    protected $title = 'massDeleteAccountForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteAccountDataProvider();

        $this->setConfirmMessage('massDeleteAccountFormConfirm');


        $this->loadDataToForm();
    }

}